summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorWill Woods <wwoods@redhat.com>2009-03-04 16:43:17 -0500
committerWill Woods <wwoods@redhat.com>2009-03-04 16:43:17 -0500
commit2e318337e1c107c9b1f9091455d5a7e467c9e1e2 (patch)
tree8f40676c1765e2c0dd4143181a2886c072cbea44
parent11cb615300b52bbcecd4574ac2856c0e6daa796f (diff)
downloaddebuginfofs-2e318337e1c107c9b1f9091455d5a7e467c9e1e2.zip
debuginfofs-2e318337e1c107c9b1f9091455d5a7e467c9e1e2.tar.gz
debuginfofs-2e318337e1c107c9b1f9091455d5a7e467c9e1e2.tar.xz
Switch to using davfs2 for webdav
-rw-r--r--TODO14
-rw-r--r--davfs2-debuginfofs.conf22
-rwxr-xr-xdebuginfofs.init8
-rw-r--r--debuginfofs.spec2
-rw-r--r--debuginfofs.sysconfig2
5 files changed, 30 insertions, 18 deletions
diff --git a/TODO b/TODO
index fb5df4f..5cac6ef 100644
--- a/TODO
+++ b/TODO
@@ -1,7 +1,5 @@
== For 1.0 ==
- debuginfofs-mirror:
- - Fix half-assed logging
- - Fix half-assed i18n
- Clean up methods (move stuff from main() to the class)
- Flag to remove out-of-date (unused) debuginfo files
- Rawhide builds expire very quickly
@@ -18,18 +16,10 @@ Server:
- Cleanups for debuginfofs-mirror:
- make --verbose work properly
- Figure out if we can make yum handle checking for already-cached files
+ - Fix half-assed logging
+ - Fix half-assed i18n
- make debuginfofs-mirror able to use rsync?
- Avahi announce server to local network
-Client:
-- Use a better FUSE-webdav implementation
- - multithreaded
- - yes, wdfs is single-threaded. bluh.
- - davfs2 is multithreaded, I think
- - support seek() / byte ranges
- - wdfs does a GET on the entire file - and keeps it in RAM
- - Optional: cache files locally
- - wdfs doesn't do this
- - davfs2 can do this
== Crazy future ideas ==
- Provide source files as well
diff --git a/davfs2-debuginfofs.conf b/davfs2-debuginfofs.conf
new file mode 100644
index 0000000..94fe118
--- /dev/null
+++ b/davfs2-debuginfofs.conf
@@ -0,0 +1,22 @@
+# davfs2 configuration file for use with debuginfofs
+# -------------------------------------
+# Please read the davfs2.conf (5) man page for a description of the
+# configuration options and syntax rules.
+
+ask_auth 0
+cache_size 100 # MiByte
+table_size 1024
+dir_refresh 600 # seconds
+file_refresh 3600 # seconds
+buf_size 256 # KiByte
+
+# connect_timeout 10 # seconds
+# read_timeout 30 # seconds
+# retry 30 # seconds
+# max_retry 300 # seconds
+# add_header
+#
+# Debugging Options
+# -----------------
+# debug # possible values: config, kernel, cache, http, xml,
+ # httpauth, locks, ssl, httpbody, secrets, most
diff --git a/debuginfofs.init b/debuginfofs.init
index 846d9db..88dbbd1 100755
--- a/debuginfofs.init
+++ b/debuginfofs.init
@@ -35,14 +35,14 @@ start() {
[ ${NETWORKING} = "no" ] && exit 1
# Sanity check binary and configuration
- [ -x /usr/bin/wdfs ] || exit 1
+ [ -x /usr/sbin/mount.davfs ] || exit 1
[ -n "$BUILDID_URL" ] || exit 1
[ -n "$BUILDID_MOUNTPOINT" ] || exit 1
[ -d "$BUILDID_MOUNTPOINT" ] || mkdir -p "$BUILDID_MOUNTPOINT"
echo -n $"Starting debuginfofs: "
- wdfs "$BUILDID_URL" "$BUILDID_MOUNTPOINT" -o allow_other -o nonempty \
- -o intr $BUILDID_ARGS
+ mount -t davfs "$BUILDID_URL" "$BUILDID_MOUNTPOINT" \
+ -o ro,conf=/etc/davfs2/debuginfo.conf $MOUNT_ARGS
RETVAL=$?
[ $RETVAL -eq 0 ] && touch /var/lock/subsys/debuginfofs
@@ -53,7 +53,7 @@ start() {
stop() {
echo -n $"Stopping debuginfofs: "
- fusermount -u "$BUILDID_MOUNTPOINT"
+ umount "$BUILDID_MOUNTPOINT"
RETVAL=$?
rm -f /var/lock/subsys/debuginfofs
[ $RETVAL -eq 0 ] && success $"$prog shutdown" || failure $"$prog shutdown"
diff --git a/debuginfofs.spec b/debuginfofs.spec
index ea38e08..64f61ad 100644
--- a/debuginfofs.spec
+++ b/debuginfofs.spec
@@ -10,7 +10,7 @@ Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
-Requires: wdfs
+Requires: devfs2
Requires(post): chkconfig
Requires(preun): chkconfig
Requires(preun): initscripts
diff --git a/debuginfofs.sysconfig b/debuginfofs.sysconfig
index 9b9b378..bf821f9 100644
--- a/debuginfofs.sysconfig
+++ b/debuginfofs.sysconfig
@@ -3,4 +3,4 @@ DEBUGINFOFS_SERVER="test1085.test.redhat.com"
# You shouldn't need to edit these under normal circumstances
BUILDID_URL="http://$DEBUGINFOFS_SERVER/debuginfofs/build-id/"
BUILDID_MOUNTPOINT="/usr/lib/debug/.build-id"
-BUILDID_ARGS="-o umask=022"
+MOUNT_ARGS=""